Cabal-1.24.2.0: A framework for packaging Haskell software

Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Distribution.Simple.Program.Internal

Description

Internal utilities used by Distribution.Simple.Program.*.

Synopsis

- stripExtractVersion :: String -> String

# Documentation

stripExtractVersion :: String -> String Source #

Extract the version number from the output of 'strip --version'.

Invoking "strip --version" gives very inconsistent results. We ignore everything in parentheses (see #2497), look for the first word that starts with a number, and try parsing out the first two components of it. Non-GNU `strip` doesn't appear to have a version flag.